const methods = require('../functions/methods')

describe('DB methods', () => {
    test('all mailinglists', async () => {
        let lists = await methods.getAllMailinglists(0)
        expect(lists).not.toBeNull()
    })
    test('project overview', async () => {
        let overview = await methods.getProjectOverviewById(81)
        expect(overview).not.toBeNull()
    })
    test('project images', async () => {
        let images = await methods.getProjectImagesById(81)
        expect(images).not.toBeNull()
    })
})